Show / Hide Table of Contents

# Delegate AsyncEventHandler<TEventArgs>

A generic asynchronous event handler used by the proxy.

###### Namespace: Titanium.Web.Proxy.EventArguments

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public delegate Task AsyncEventHandler<in TEventArgs>(object sender, TEventArgs e);

##### Parameters

Type | Name | Description
--- | --- | ---
Object | sender | The proxy server instance.
TEventArgs | e | The event arguments.

##### Returns

Type | Description
--- | ---
Task |

##### Type Parameters

Name | Description
--- | ---
TEventArgs | Event argument type.